http://models-v2-lex.{region}.amazonaws.com/exports/Lists the exports for a bot, bot locale, or custom vocabulary. Exports are kept in the list for 7 days.
Pagination limit
Pagination token
The unique identifier that Amazon Lex assigned to the bot.
Provides information about sorting a list of exports.
Provides the specification of a filter used to limit the exports in the response to only those that match the filter specification. You can only specify one filter and one string to filter on.
Specifies the resources that should be exported. If you don't specify a resource type in the <code>filters</code> parameter, both bot locales and custom vocabularies are exported.
<p>If the response from the <code>ListExports</code> operation contains more results that specified in the <code>maxResults</code> parameter, a token is returned in the response. </p> <p>Use the returned token in the <code>nextToken</code> parameter of a <code>ListExports</code> request to return the next page of results. For a complete set of results, call the <code>ListExports</code> operation until the <code>nextToken</code> returned in the response is null.</p>
The version of the bot to list exports for.
The maximum number of exports to return in each page of results. If there are fewer results than the max page size, only the actual number of results are returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://models-v2-lex.{region}.amazonaws.com/exports/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/exports/Lists the exports for a bot, bot locale, or custom vocabulary. Exports are kept in the list for 7 days.
Pagination limit
Pagination token
The unique identifier that Amazon Lex assigned to the bot.
Provides information about sorting a list of exports.
Provides the specification of a filter used to limit the exports in the response to only those that match the filter specification. You can only specify one filter and one string to filter on.
Specifies the resources that should be exported. If you don't specify a resource type in the <code>filters</code> parameter, both bot locales and custom vocabularies are exported.
<p>If the response from the <code>ListExports</code> operation contains more results that specified in the <code>maxResults</code> parameter, a token is returned in the response. </p> <p>Use the returned token in the <code>nextToken</code> parameter of a <code>ListExports</code> request to return the next page of results. For a complete set of results, call the <code>ListExports</code> operation until the <code>nextToken</code> returned in the response is null.</p>
The version of the bot to list exports for.
The maximum number of exports to return in each page of results. If there are fewer results than the max page size, only the actual number of results are returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://models-v2-lex.{region}.amazonaws.com/exports/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}